<?php
/**
 * Pro Plugins Configuration
 */

function wp_allstars_get_pro_plugins_config() {
    return array(
        'magic-login-pro' => array(
            'name' => 'Magic Login Pro',
            'description' => 'Enable passwordless authentication with magic login links and enhance WordPress site security.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://handyplugins.co/magic-login-pro/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://handyplugins.co/magic-login-pro/#pricing'
                )
            ),
            'free_slug' => 'magic-login'
        ),
        'admin-columns' => array(
            'name' => 'Admin Columns Pro',
            'description' => 'Advanced admin columns management with sorting, filtering, and editing capabilities.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://www.admincolumns.com/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://www.admincolumns.com/pricing/'
                )
            ),
            'free_slug' => 'codepress-admin-columns'
        ),
        'admin-menu-editor' => array(
            'name' => 'Admin Menu Editor Pro',
            'description' => 'Customize the WordPress admin menu with advanced features and role management.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://adminmenueditor.com/upgrade-to-pro/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://adminmenueditor.com/upgrade-to-pro/'
                )
            ),
            'free_slug' => 'admin-menu-editor'
        ),
        'advanced-custom-fields' => array(
            'name' => 'Advanced Custom Fields PRO',
            'description' => 'Create custom fields and content types with advanced features and options.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://www.advancedcustomfields.com/pro/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://www.advancedcustomfields.com/pro/#pricing'
                )
            ),
            'free_slug' => 'advanced-custom-fields'
        ),
        'advanced-database-cleaner' => array(
            'name' => 'Advanced Database Cleaner PRO',
            'description' => 'Clean and optimize your WordPress database with advanced tools and automation.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://sigmaplugin.com/downloads/wordpress-advanced-database-cleaner',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://sigmaplugin.com/downloads/wordpress-advanced-database-cleaner/#price_table'
                )
            ),
            'free_slug' => 'advanced-database-cleaner'
        ),
        'ai-engine' => array(
            'name' => 'AI Engine (Pro)',
            'description' => 'Enhanced AI capabilities for content generation, analysis, and automation.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://meowapps.com/plugin/ai-engine/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://meowapps.com/ai-engine-pricing/'
                )
            ),
            'free_slug' => 'ai-engine'
        ),
        'code-profiler' => array(
            'name' => 'Code Profiler Pro',
            'description' => 'Advanced performance monitoring and debugging tools for WordPress.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://codeprofiler.io/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://codeprofiler.io/#pricing'
                )
            )
        ),
        'code-snippets' => array(
            'name' => 'Code Snippets Pro',
            'description' => 'Add and manage custom code snippets with advanced features and management tools.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://codesnippets.pro/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://codesnippets.pro/pricing/'
                )
            ),
            'free_slug' => 'code-snippets'
        ),
        'comment-goblin' => array(
            'name' => 'Comment Goblin',
            'description' => 'Advanced comment management and spam protection system.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://commentgoblin.com/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://commentgoblin.com/#pricing'
                )
            )
        ),
        'complianz-gdpr' => array(
            'name' => 'Complianz Privacy Suite',
            'description' => 'Complete GDPR/CCPA compliance solution with advanced features.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://complianz.io/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://complianz.io/pricing/'
                )
            ),
            'free_slug' => 'complianz-gdpr'
        ),
        'disable-bloat' => array(
            'name' => 'Disable Bloat PRO',
            'description' => 'Advanced optimization for WordPress & WooCommerce with premium features.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://disablebloat.com/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://disablebloat.com/#pricing'
                )
            )
        ),
        'fluent-crm' => array(
            'name' => 'FluentCRM Pro',
            'description' => 'Advanced CRM and email marketing automation.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://fluentcrm.com/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://fluentcrm.com/pricing/'
                ),
                array(
                    'text' => 'Automation Pack',
                    'url' => 'https://fluentcrm.com/modules/automation-pack/'
                )
            ),
            'free_slug' => 'fluent-crm'
        ),
        'fluent-forms' => array(
            'name' => 'Fluent Forms Pro',
            'description' => 'Advanced form builder with premium features.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://fluentforms.com/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://fluentforms.com/pricing/'
                ),
                array(
                    'text' => 'PDF Add-on',
                    'url' => 'https://fluentforms.com/modules/pdf-add-on/'
                )
            ),
            'free_slug' => 'fluentform'
        ),
        'mainwp' => array(
            'name' => 'MainWP Pro',
            'description' => 'Manage multiple WordPress sites from a single dashboard with advanced features.',
            'button_group' => array(
                array(
                    'text' => 'Go Pro',
                    'url' => 'https://mainwp.com/upgrade/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://mainwp.com/purchase/'
                )
            ),
            'free_slug' => 'mainwp-child'
        ),
        'revive-so' => array(
            'name' => 'Revive.so Pro',
            'description' => 'Advanced content optimization and SEO tool for WordPress.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://revive.so/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://revive.so/pricing/'
                )
            ),
            'free_slug' => 'revive-so'
        ),
        'fluent-support' => array(
            'name' => 'Fluent Support Pro',
            'description' => 'Premium help desk and support ticket system.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://fluentsupport.com/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://fluentsupport.com/pricing/'
                )
            ),
            'free_slug' => 'fluent-support'
        ),
        'fluentbooking' => array(
            'name' => 'FluentBooking Pro',
            'description' => 'Advanced booking and scheduling system.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://fluentbooking.com/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://fluentbooking.com/pricing/'
                )
            ),
            'free_slug' => 'fluent-booking'
        ),
        'freesoul-deactivate-plugins' => array(
            'name' => 'Freesoul Deactivate Plugins PRO',
            'description' => 'Advanced plugin management with conditional loading and optimization.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://freesoul-deactivate-plugins.com/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://freesoul-deactivate-plugins.com/pro/'
                )
            ),
            'free_slug' => 'freesoul-deactivate-plugins'
        ),
        'kadence-blocks' => array(
            'name' => 'Kadence Blocks Pro',
            'description' => 'Premium blocks and templates for the WordPress editor.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://www.kadencewp.com/kadence-blocks/pro/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://www.kadencewp.com/pricing/'
                ),
                array(
                    'text' => 'Theme Pro',
                    'url' => 'https://www.kadencewp.com/kadence-theme/pro/'
                )
            ),
            'free_slug' => 'kadence-blocks'
        ),
        'link-whisper' => array(
            'name' => 'Link Whisper',
            'description' => 'AI-powered internal linking suggestions and management.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://linkwhisper.com/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://linkwhisper.com/pricing/'
                )
            )
        ),
        'media-file-renamer' => array(
            'name' => 'Media File Renamer Pro',
            'description' => 'AI-Powered media file renaming for better SEO.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://meowapps.com/plugin/media-file-renamer/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://meowapps.com/media-file-renamer-pricing/'
                )
            ),
            'free_slug' => 'media-file-renamer'
        ),
        'ninja-tables' => array(
            'name' => 'Ninja Tables Pro',
            'description' => 'Advanced table creation and management with premium features.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://wpmanageninja.com/ninja-tables/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://wpmanageninja.com/downloads/ninja-tables-pro-add-on/'
                )
            ),
            'free_slug' => 'ninja-tables'
        ),
        'seo-by-rank-math' => array(
            'name' => 'Rank Math SEO PRO',
            'description' => 'Advanced SEO tools and features for better search engine optimization.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://rankmath.com/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://rankmath.com/pricing/'
                )
            ),
            'free_slug' => 'seo-by-rank-math'
        ),
        'really-simple-ssl' => array(
            'name' => 'Really Simple SSL Pro',
            'description' => 'Advanced SSL management and security features.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://really-simple-ssl.com/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://really-simple-ssl.com/pro/'
                )
            ),
            'free_slug' => 'really-simple-ssl'
        ),
        'scalability-pro' => array(
            'name' => 'Scalability Pro',
            'description' => 'Advanced performance optimization and scaling tools.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://scalability.pro/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://scalability.pro/#pricing'
                )
            )
        ),
        'social-engine' => array(
            'name' => 'Social Engine Pro',
            'description' => 'Advanced social media scheduling and management.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://meowapps.com/plugin/social-engine/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://meowapps.com/social-engine-pricing/'
                )
            ),
            'free_slug' => 'social-engine'
        ),
        'taxopress' => array(
            'name' => 'TaxoPress Pro',
            'description' => 'Advanced taxonomy and tag management tools.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://taxopress.com/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://taxopress.com/pro/'
                )
            )
        ),
        'tutor' => array(
            'name' => 'Tutor LMS Pro',
            'description' => 'Premium LMS features including certificate builder.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://www.themeum.com/product/tutor-lms/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://www.themeum.com/product/tutor-lms/#pricing'
                ),
                array(
                    'text' => 'Certificate Builder',
                    'url' => 'https://www.themeum.com/product/tutor-lms-certificate-builder/'
                ),
                array(
                    'text' => 'Course Preview',
                    'url' => 'https://www.themeum.com/product/tutor-lms-course-preview/'
                )
            ),
            'free_slug' => 'tutor'
        ),
        'wp-migrate' => array(
            'name' => 'WP Migrate',
            'description' => 'Professional WordPress migration and backup solution.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://deliciousbrains.com/wp-migrate-db-pro/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://deliciousbrains.com/wp-migrate-db-pro/pricing/'
                )
            )
        ),
        'wp-social-ninja' => array(
            'name' => 'WP Social Ninja Pro',
            'description' => 'Advanced social media integration and management tools.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://wpsocialninja.com/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://wpsocialninja.com/price/'
                )
            ),
            'free_slug' => 'wp-social-ninja'
        ),
        'yellow-pencil' => array(
            'name' => 'YellowPencil Pro',
            'description' => 'Advanced visual CSS style editor and customization tool.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://yellowpencil.waspthemes.com/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://yellowpencil.waspthemes.com/pricing/'
                )
            ),
            'free_slug' => 'yellow-pencil-visual-theme-customizer'
        ),
        'fluent-boards' => array(
            'name' => 'FluentBoards Pro',
            'description' => 'Advanced dashboard and reporting solution for WordPress.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://fluentboards.com/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://fluentboards.com/pricing/'
                )
            ),
            'free_slug' => 'fluent-boards'
        ),
        'fluent-community' => array(
            'name' => 'FluentCommunity Pro',
            'description' => 'Advanced community and membership platform for WordPress.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://fluentcommunity.co/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://fluentcommunity.co/pricing/'
                )
            ),
            'free_slug' => 'fluent-community'
        ),
        'wp-sheet-editor' => array(
            'name' => 'WP Sheet Editor',
            'description' => 'Edit WordPress content in spreadsheet-like interface with bulk editing capabilities.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://wpsheeteditor.com/',
                    'primary' => true
                )
            ),
            'free_slug' => 'wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages'
        ),
        'masterstudy-lms' => array(
            'name' => 'MasterStudy LMS Pro',
            'description' => 'Complete learning management system for WordPress with courses, lessons, quizzes, and more.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://stylemixthemes.com/wordpress-lms-plugin/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://stylemixthemes.com/wordpress-lms-plugin/pricing/'
                )
            ),
            'free_slug' => 'masterstudy-lms-learning-management-system'
        ),
        'pretty-link' => array(
            'name' => 'Pretty Links Pro',
            'description' => 'Advanced link management, tracking, and marketing tools for WordPress.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://prettylinks.com/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://prettylinks.com/pricing/plans/'
                )
            ),
            'free_slug' => 'pretty-link'
        ),
        'kadence-starter-templates' => array(
            'name' => 'AI Powered Starter Templates by Kadence WP',
            'description' => 'Premium AI-powered starter templates for WordPress with advanced customization options.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://www.kadencewp.com/',
                    'primary' => true
                )
            ),
            'free_slug' => 'kadence-starter-templates'
        ),
        'bit-social' => array(
            'name' => 'Bit Social Pro',
            'description' => 'Premium social networking features for WordPress with advanced community building tools.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://bit-social.com/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://bit-social.com/#pricing'
                )
            ),
            'free_slug' => 'bit-social'
        ),
        'easy-video-reviews' => array(
            'name' => 'Easy Video Reviews Pro',
            'description' => 'Premium video review collection and display features for WordPress.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://wppool.dev/easy-video-reviews/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://wppool.dev/easy-video-reviews-pricing/'
                )
            ),
            'free_slug' => 'easy-video-reviews'
        ),
        'flying-press' => array(
            'name' => 'Flying Press',
            'description' => 'Advanced WordPress performance optimization and speed enhancement suite.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://flyingpress.com/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://flyingpress.com/pricing/'
                )
            ),
            'free_slug' => ['flying-analytics', 'flying-pages', 'flying-scripts']
        ),
        'translatepress' => array(
            'name' => 'TranslatePress Pro',
            'description' => 'Advanced WordPress translation plugin with premium features for multilingual websites.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://translatepress.com/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://translatepress.com/pricing/'
                )
            ),
            'free_slug' => 'translatepress-multilingual'
        ),
        'hreflang-manager' => array(
            'name' => 'Hreflang Manager Pro',
            'description' => 'Advanced hreflang tag management for multilingual and multi-regional WordPress websites.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://daext.com/hreflang-manager/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://daext.com/hreflang-manager/#pricing'
                )
            ),
            'free_slug' => 'hreflang-manager-lite'
        ),
        'automatorwp' => array(
            'name' => 'AutomatorWP Pro',
            'description' => 'Advanced WordPress automation toolkit with premium integrations and features.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://automatorwp.com/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://automatorwp.com/'
                ),
                array(
                    'text' => 'Integrations',
                    'url' => 'https://automatorwp.com/all-triggers-and-actions/'
                )
            ),
            'free_slug' => 'automatorwp'
        ),
        'bit-integrations' => array(
            'name' => 'Bit Integrations Pro',
            'description' => 'Advanced WordPress integration platform with premium connectors and automation features.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://bit-integrations.com/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://bit-integrations.com/#pricing'
                ),
                array(
                    'text' => 'Integrations',
                    'url' => 'https://bit-integrations.com/all-integrations/'
                )
            ),
            'free_slug' => 'bit-integrations'
        ),
        'bit-flows' => array(
            'name' => 'Bit Flows Pro',
            'description' => 'Advanced workflow automation platform for WordPress with premium features and integrations.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://bit-flows.com/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://bit-flows.com/pricing/'
                ),
                array(
                    'text' => 'Integrations',
                    'url' => 'https://bit-flows.com/integrations-list/'
                )
            ),
            'free_slug' => 'bit-pi'
        ),
        'yellow-pencil' => array(
            'name' => 'Yellow Pencil Pro',
            'description' => 'Advanced visual CSS style editor for WordPress with premium features.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://yellowpencil.waspthemes.com/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://codecanyon.net/item/yellow-pencil-visual-css-style-editor/11322180'
                )
            ),
            'free_slug' => 'yellow-pencil-visual-theme-customizer'
        ),
        'gotmls' => array(
            'name' => 'Anti-Malware Pro',
            'description' => 'Advanced WordPress malware scanner and security toolkit with premium features.',
            'button_group' => array(
                array(
                    'text' => 'Home Page',
                    'url' => 'https://gotmls.net/',
                    'primary' => true
                ),
                array(
                    'text' => 'Pricing',
                    'url' => 'https://gotmls.net/donate/'
                )
            ),
            'free_slug' => 'gotmls'
        )
    );
} 